Bug 681978 - Uninstalling client if the server is installed should be prevented
Summary: Uninstalling client if the server is installed should be prevented
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-03 18:44 UTC by Namita Soman
Modified: 2015-01-04 23:46 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Unconfiguring the IPA client on a running IPA server will effectively break the server by removing required configuration such as /etc/krb5.conf. Consequence: The IPA server would be left in a non-working state. Fix: The client uninstaller now detects the installation state of an installed server. Result: Attempting to uninstall the client on a server will result in an error message. The client will be uninstalled when/if the server is uninstalled.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:20:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-03-03 18:44:58 UTC
Description of problem:
Running ipa=client-install --uninstall on a machine where ipa server is installed, will allow the client to be uninstalled. This leaves the server unusable, and so this uninstall should not be allowed.



Version-Release number of selected component (if applicable):
ipa-client-2.0.0-13.el6.x86_64

How reproducible:


Steps to Reproduce:
1. On server machine, run ipa=client-install --uninstall
2. 
3.
  
Actual results:
Client is uninstalled

Expected results:
Chould not allow client to be uninstalled

Additional info:

Comment 2 Dmitri Pal 2011-03-03 19:16:21 UTC
https://fedorahosted.org/freeipa/ticket/1049

Comment 3 Martin Kosek 2011-04-29 07:27:02 UTC
Upstream commits:
master: d76b9aef39fa0965a0e741d16dcbf9c3279d1af5
ipa-2-0: 8a66b9cf0854fcd3fb9c02c046fe96bfe982c7c8

Comment 4 Jenny Severance 2011-07-19 19:37:55 UTC
verified:

# ipa-client-install --uninstall
IPA client is configured as a part of IPA server on this system.
Please refer to ipa-server-install for uninstallation.

version:
ipa-server-2.0.99-3.20110715T0514zgit4bd85ce.el6.x86_64
ipa-client-2.0.99-3.20110715T0514zgit4bd85ce.el6.x86_64

Comment 5 Rob Crittenden 2011-10-31 15:30:51 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Unconfiguring the IPA client on a running IPA server will effectively break the server by removing required configuration such as /etc/krb5.conf.
Consequence: The IPA server would be left in a non-working state.
Fix: The client uninstaller now detects the installation state of an installed server.
Result: Attempting to uninstall the client on a server will result in an error message. The client will be uninstalled when/if the server is uninstalled.

Comment 6 errata-xmlrpc 2011-12-06 18:20:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.